Subject: Re: [3gv6] RE : prefix delegation draft was: proposed 3gpp-ietf workshop

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 21 Dec 2009 13:25:31 -0800 (PST)

Hi Cameron,
  /64 per PDP Context has been mandated by RFC 3314. 

Is a /64 per PDP Context Too Much?

This question is answered in Section 2.3.1 of RFC 3314. Please check it out.

Regards,

Behcet

----- Original Message ----
> From: Cameron Byrne <[email-masked]>
> To: [email-masked]
> Cc: "Laganier, Julien" <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>
> Sent: Sat, December 19, 2009 11:54:50 AM
> Subject: Re: [3gv6] RE : prefix delegation draft was: proposed 3gpp-ietf workshop
> 
> FWIW, i like the idea of the UE acting as an L3 IPv6 node as well as
> L2 bridge for any attached devices
> 
> On Sat, Dec 19, 2009 at 8:03 AM,  wrote:
> > Hello Julien,
> >
> > Regarding stateless prefix delegation, maybe we can envisage some ND use and 
> if required with some ND proxy functions if required.
> > I agree that stateful prefix delegation is certainly a preferred solution.
> > As far as terminal vendors will embed some DHCPv6 functions with some ways to 
> identify various terminals and network equipment inserts some DHCP relay 
> functions , I agree with you that it is certainly the right solution to 
> recommend for IPv6 integration.
> >
> > Best regards
> > David
> > ________________________________________
> > De : Laganier, Julien [[email-masked]]
> > Date d'envoi : vendredi 18 décembre 2009 17:41
> > À : BINET David NCPI/NAD/TIP; [email-masked]; [email-masked]
> > Cc : [email-masked]
> > Objet : RE: [3gv6] prefix delegation draft was: proposed 3gpp-ietf workshop
> >
> > Hello David,
> >
> > [email-masked] wrote:
> >>
> >> Hello,
> >>
> >> This document deals also with some MN stateful configuration in section
> >> 3.2 at least.
> >> But actually, addressing architecture issues may be discussed during
> >> next IETF-3GPP workshop, at least to be sure current IETF and 3GPP
> >> specifications fullfil current and future needs.
> >> IMHO how prefixes are delegated to PDN GW in various situations,
> >> roaming and mobility included, is a first issue.
> >> Some questions related to MN's addressing solutions is a second one:
> >> for example, How the address/prefix is allocated to the MN ? Is there a
> >> need for some various prefix sizes and under which conditions ?...
> >> I also think that some prefix delegation for UE is required and several
> >> means may be envisaged: stateful addressing with DHPC or PCO-IE,
> >> stateless addressing.
> >
> > There's no such thing as stateless prefix delegation.
> >
> > Prefix delegation is necessarily stateful.
> >
> > As to which signaling is used, since 3GPP relies entirely on IETF standard 
> track mechanisms (DHCPv6 and IPv6 SLAAC) for IPv6 configuration matters, the use 
> of a PCO for IPv6 prefix delegation is IMHO not an option.
> >
> > So we're left with DHCPv6 Prefix Delegation, and so far I haven't seen a 
> convincing argument about its shortcomings. (for example, it allows delegation 
> of prefixes of various sizes -- as requested by the UE depending on its needs 
> and as per operator policy -- under any condition)
> >
> > Best,
> >
> > --julien
> 
> FWIW, i like the idea of the UE acting as an L3 IPv6 node as well as
> L2 bridge for any attached devices, this easily ties the user account
> to one EPS bearer / PDP.  Then again, i don't like this /64 per EPS
> bearer / PDP idea anyhow.  I think that is a legacy concept that may
> need to be re-evaluated.  2^64 is more addresses than any GGSN / PGW
> can handle.  It seems natural to me. IMHO,  that an APN instance on a
> GGSN / PGW would be assigned a /64, not per bearer.
> 
> 
> >
> > *********************************
> > This message and any attachments (the "message") are confidential and intended 
> solely for the addressees.
> > Any unauthorised use or dissemination is prohibited.
> > Messages are susceptible to alteration.
> > France Telecom Group shall not be liable for the message if altered, changed 
> or falsified.
> > If you are not the intended addressee of this message, please cancel it 
> immediately and inform the sender.
> > ********************************
> >
> > _______________________________________________
> > 3gv6 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/3gv6
> >